VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::LocalizableMessage Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::LocalizableMessage:

## Avaliable Methods
public method | set_default_message ()
public method | get_id ()
public method | set_args ()
public method | get_args ()
public method | get_default_message ()
public method | set_id ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::LocalizableMessage` class represents a localizable string or message template. Interfaces include one or more localizable message templates in the errors they report so that clients can display diagnostic messages in the native language of the user. Interfaces can include localizable strings in the data returned from methods to allow clients to display localized status information in the native language of the user.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::LocalizableMessage::get_args | ( |  | ) |

Gets the value of 'args' property.

Return values

  args | - The current value of the field. Arguments to be substituted into a message template. List#

Code:
click to view
# Number of lines of code in get_args: 4
sub get_args {
my ($self, %args) = @_;
return $self->{'args'};
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::get_default_message | ( |  | ) |

Gets the value of 'default_message' property.

Return values

  default_message | - The current value of the field. The value of this localizable string or message template in the `en_US` (English) locale. If :attr:`Com::Vmware::Vapi::Std::LocalizableMessage.id` refers to a message template, the default message will contain the substituted arguments. This value can be used by clients that do not need to display strings and messages in the native language of the user. It could also be used as a fallback if a client is unable to access the appropriate message catalog. String#

Code:
click to view
# Number of lines of code in get_default_message: 4
sub get_default_message {
my ($self, %args) = @_;
return $self->{'default_message'};
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. Unique identifier of the localizable string or message template.

This identifier is typically used to retrieve a locale-specific string or message template from a message catalog.

String#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::LocalizableMessage structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{default_message} = $args{'default_message'};
$self->{args} = $args{'args'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::LocalizableMessage');
$self->set_binding_name('name' => 'com.vmware.vapi.std.localizable_message');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'default_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'args', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::set_args | ( |  | ) |

Sets the given value for 'args' property.

Parameters

  args | - New value for the field. Arguments to be substituted into a message template.

Code:
click to view
# Number of lines of code in set_args: 5
sub set_args {
my ($self, %args) = @_;
$self->{'args'} = $args{'args'};
return;
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::set_default_message | ( |  | ) |

Sets the given value for 'default_message' property.

Parameters

  default_message | - New value for the field. The value of this localizable string or message template in the `en_US` (English) locale. If :attr:`Com::Vmware::Vapi::Std::LocalizableMessage.id` refers to a message template, the default message will contain the substituted arguments. This value can be used by clients that do not need to display strings and messages in the native language of the user. It could also be used as a fallback if a client is unable to access the appropriate message catalog.

Code:
click to view
# Number of lines of code in set_default_message: 5
sub set_default_message {
my ($self, %args) = @_;
$self->{'default_message'} = $args{'default_message'};
return;
}

public method Com::Vmware::Vapi::Std::LocalizableMessage::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. Unique identifier of the localizable string or message template.

This identifier is typically used to retrieve a locale-specific string or message template from a message catalog.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/LocalizableMessage.pm